Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.font
Class Kern

    java.lang.Object
      org.apache.batik.gvt.font.Kern

    public class Kern

extends Object

The Kern class describes an entry in the "kerning table". It provides a kerning value to be used when laying out characters side by side. It may be used for either horizontal or vertical kerning.

Constructor Summary
`Kern(int[] firstGlyphCodes, int[] secondGlyphCodes, UnicodeRange[] firstUnicodeRanges, UnicodeRange[] secondUnicodeRanges, float adjustValue)` Creates a Kern object with the given glyph arrays and kerning value.

Method Summary
`float` | `getAdjustValue()` Returns the kerning adjustment value for this kerning entry (a positive value means the space between characters should decrease).
`boolean` | `matchesFirstGlyph(int glyphCode, char glyphUnicode)` Returns true if the specified glyph is one of the glyphs considered as first by this kerning entry.
`boolean` | `matchesFirstGlyph(int glyphCode, String glyphUnicode)` Returns true if the specified glyph is one of the glyphs considered as first by this kerning entry.
`boolean` | `matchesSecondGlyph(int glyphCode, char glyphUnicode)` Returns true if the specified glyph is one of the glyphs considered as second by this kerning entry.
`boolean` | `matchesSecondGlyph(int glyphCode, String glyphUnicode)` Returns true if the specified glyph is one of the glyphs considered as second by this kerning entry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Kern

    public Kern(int[] firstGlyphCodes,
                int[] secondGlyphCodes,
                UnicodeRange[] firstUnicodeRanges,
                UnicodeRange[] secondUnicodeRanges,
                float adjustValue)

  Creates a Kern object with the given glyph arrays and kerning value. The first and second sets of glyphs for this kerning entry consist of the union of glyphs in the glyph code arrays and the unicode ranges.

  Parameters:
    `firstGlyphCodes` - An array of glyph codes that are part of the first set of glyphs in this kerning entry.
    `secondGlyphCodes` - An array of glyph codes that are part of the second set of glyphs in this kerning entry.
    `firstUnicodeRanges` - An array of unicode ranges that are part of the first set of glyphs in this kerning entry.
    `secondUnicodeRanges` - An array of unicode ranges that are part of the second set of glyphs in this kerning entry.
    `adjustValue` - The kerning adjustment (positive value means the space between glyphs should decrease).

Method Detail

### matchesFirstGlyph

    public boolean matchesFirstGlyph(int glyphCode,
                                     String glyphUnicode)

  Returns true if the specified glyph is one of the glyphs considered as first by this kerning entry. Returns false otherwise.

  Parameters:
    `glyphCode` - The id of the glyph to test.
    `glyphUnicode` - The unicode value of the glyph to test.
  Returns:
    True if this glyph is in the list of first glyphs for the kerning entry

### matchesFirstGlyph

    public boolean matchesFirstGlyph(int glyphCode,
                                     char glyphUnicode)

  Returns true if the specified glyph is one of the glyphs considered as first by this kerning entry. Returns false otherwise.

  Parameters:
    `glyphCode` - The id of the glyph to test.
    `glyphUnicode` - The unicode value of the glyph to test.
  Returns:
    True if this glyph is in the list of first glyphs for the kerning entry

### matchesSecondGlyph

    public boolean matchesSecondGlyph(int glyphCode,
                                      String glyphUnicode)

  Returns true if the specified glyph is one of the glyphs considered as second by this kerning entry. Returns false otherwise.

  Parameters:
    `glyphCode` - The id of the glyph to test.
    `glyphUnicode` - The unicode value of the glyph to test.
  Returns:
    True if this glyph is in the list of second glyphs for the kerning entry

### matchesSecondGlyph

    public boolean matchesSecondGlyph(int glyphCode,
                                      char glyphUnicode)

  Returns true if the specified glyph is one of the glyphs considered as second by this kerning entry. Returns false otherwise.

  Parameters:
    `glyphCode` - The id of the glyph to test.
    `glyphUnicode` - The unicode value of the glyph to test.
  Returns:
    True if this glyph is in the list of second glyphs for the kerning entry

### getAdjustValue

    public float getAdjustValue()

  Returns the kerning adjustment value for this kerning entry (a positive value means the space between characters should decrease).

  Returns:
    The kerning adjustment for this kerning entry.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.